<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: behavioral Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classfreq__measure.html">freq_measure</a></li><li class="navelem"><a class="el" href="classfreq__measure_1_1behavioral.html">behavioral</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behavioral Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classfreq__measure_1_1behavioral-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a417086de4c4daaabe3cf1e4a8e970539"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a417086de4c4daaabe3cf1e4a8e970539"></a>
<a class="el" href="classfreq__measure_1_1behavioral.html#a417086de4c4daaabe3cf1e4a8e970539">PROCESS_91</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">base_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:afbdd523bd9a262dfda53cfd2d10c379c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afbdd523bd9a262dfda53cfd2d10c379c"></a>
<a class="el" href="classfreq__measure_1_1behavioral.html#afbdd523bd9a262dfda53cfd2d10c379c">PROCESS_92</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">sysclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset_cnt_rsyc</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ad6b58b49ce36bb924e9a3b12cb585e86"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad6b58b49ce36bb924e9a3b12cb585e86"></a>
<a class="el" href="classfreq__measure_1_1behavioral.html#ad6b58b49ce36bb924e9a3b12cb585e86">PROCESS_93</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">base_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a15e3fb4d08f9f3e72fbd7e5a3b47a561"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15e3fb4d08f9f3e72fbd7e5a3b47a561"></a>
<a class="el" href="classfreq__measure_1_1behavioral.html#a15e3fb4d08f9f3e72fbd7e5a3b47a561">PROCESS_211</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">base_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ab9f1035fafce3ba13b5847bc1fa06356"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab9f1035fafce3ba13b5847bc1fa06356"></a>
<a class="el" href="classfreq__measure_1_1behavioral.html#ab9f1035fafce3ba13b5847bc1fa06356">PROCESS_212</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">sysclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset_cnt</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a006be89df682875c5e8f8cba2f0edc58"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a006be89df682875c5e8f8cba2f0edc58"></a>
<a class="el" href="classfreq__measure_1_1behavioral.html#a006be89df682875c5e8f8cba2f0edc58">PROCESS_213</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">base_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a54d9bbd467bf2f94ffa374022fe88f7b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a54d9bbd467bf2f94ffa374022fe88f7b"></a>
<a class="el" href="classfreq__measure_1_1behavioral.html#a54d9bbd467bf2f94ffa374022fe88f7b">reset_resync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classreset__resync.html">&lt;Entity reset_resync&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a755daf9dbddfc767e469c0dd5d957cc4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a755daf9dbddfc767e469c0dd5d957cc4"></a>
<a class="el" href="classfreq__measure_1_1behavioral.html#a755daf9dbddfc767e469c0dd5d957cc4">counter_base</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a416d9e3342d7ca25292e6df69a4e411e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a416d9e3342d7ca25292e6df69a4e411e"></a>
<a class="el" href="classfreq__measure_1_1behavioral.html#a416d9e3342d7ca25292e6df69a4e411e">counter_measure</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a598e0c93e3d33d7ed10692ceeda0980e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a598e0c93e3d33d7ed10692ceeda0980e"></a>
<a class="el" href="classfreq__measure_1_1behavioral.html#a598e0c93e3d33d7ed10692ceeda0980e">measure</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0b3c48a5176186a71e50dedf83f86310"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b3c48a5176186a71e50dedf83f86310"></a>
<a class="el" href="classfreq__measure_1_1behavioral.html#a0b3c48a5176186a71e50dedf83f86310">latch_value</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3577c86211a45b8c0b452a5c008d0215"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3577c86211a45b8c0b452a5c008d0215"></a>
<a class="el" href="classfreq__measure_1_1behavioral.html#a3577c86211a45b8c0b452a5c008d0215">reset_cnt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a02cc8414e0d15b45ee64ea2de588db72"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a02cc8414e0d15b45ee64ea2de588db72"></a>
<a class="el" href="classfreq__measure_1_1behavioral.html#a02cc8414e0d15b45ee64ea2de588db72">reset_cnt_rsyc</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:ae40920b09a18fbb6c6390a05c03b9ff9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae40920b09a18fbb6c6390a05c03b9ff9"></a>
<a class="el" href="classfreq__measure_1_1behavioral.html#ae40920b09a18fbb6c6390a05c03b9ff9">resync_i1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>reset_resync</b>  <em><a class="el" href="classreset__resync.html">&lt;Entity reset_resync&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="10Gb_2slink_2freq__measure_8vhd_source.html#l00033">33</a> of file <a class="el" href="10Gb_2slink_2freq__measure_8vhd_source.html">freq_measure.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/10Gb/slink/<a class="el" href="10Gb_2slink_2freq__measure_8vhd_source.html">freq_measure.vhd</a></li>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/5Gb/slink/<a class="el" href="5Gb_2slink_2freq__measure_8vhd_source.html">freq_measure.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
